/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: DummyDriver.java 702 2011-12-08 17:28:34Z dangtran $
 *
 */

package org.ow2.sirocco.vmm.agent.monitoring.driver.dummy;

import java.util.Map;

import org.ow2.sirocco.vmm.agent.monitoring.api.MonitoringService;
import org.ow2.sirocco.vmm.agent.monitoring.driver.MonitoringDriver;
import org.ow2.sirocco.vmm.api.VMMException;

/**
 * @author chou
 */
public class DummyDriver implements MonitoringDriver {
    public MonitoringService newMonitoringService(final Map<String, String> attributes) throws IllegalArgumentException,
        VMMException {
        return new MonitoringDummy(attributes);
    }
}
